# PlatformIO Core (CLI)

PlatformIO Core (CLI tool) is a heart of whole PlatformIO ecosystem and consists of

- Multi-platform Build System

- Development platform and package managers

- Library Manager

- Library Dependency Finder (LDF)

- Serial Port Monitor

- Integration components (Cloud & Desktop IDE and Continuous Integration).

PlatformIO Core is written in Python and works on Windows, macOS, Linux, FreeBSD and ARM-based credit-card sized computers (Raspberry Pi, BeagleBone, CubieBoard, Samsung ARTIK, etc.).

PlatformIO Core provides a rich and documented Command Line Interface (CLI). The other PlatformIO-based software and IDEs are based on PlatformIO Core CLI, such as PlatformIO IDE. In other words, they wrap PlatformIO Core with own GUI.

Note

Please note that you do not need to install PlatformIO Core if you are going to use PlatformIO IDE. PlatformIO Core is built into PlatformIO IDE and you will be able to use it within PlatformIO IDE Terminal.

If you need PlatformIO Core commands outside PlatformIO IDE, please Install Shell Commands.

- Demo
  - “Blink Project”
  - Platform Manager
  - Library Manager
  - Over-the-Air update for ESP8266
- Installation
  - System requirements
  - Installation Methods
  - Development Version
  - Install Shell Commands
  - Uninstall PIO Core and dependent packages
  - Integration with custom applications (extensions, plugins)
  - Troubleshooting
- Quick Start
  - Setting Up the Project
  - Board Identifier
  - Initialize Project
  - Process Project
  - Further Reading
- CLI Guide
  - Usage
  - Options
  - Commands